Package com.xebialabs.xlrelease.domain.distributed.events

## Class DistributedConfigurationCopiedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedConfigurationCopiedEvent>
  - - com.xebialabs.xlrelease.domain.distributed.events.DistributedConfigurationCopiedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedConfigurationCopiedEvent>`

      public class DistributedConfigurationCopiedEvent$
      extends scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedConfigurationCopiedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static DistributedConfigurationCopiedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DistributedConfigurationCopiedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DistributedConfigurationCopiedEvent` | `apply​(java.lang.String configurationType, java.lang.String configurationId, java.lang.String newConfigurationId)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<java.lang.String,​java.lang.String,​java.lang.String>>` | `unapply​(DistributedConfigurationCopiedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final DistributedConfigurationCopiedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### DistributedConfigurationCopiedEvent$

          public DistributedConfigurationCopiedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedConfigurationCopiedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedConfigurationCopiedEvent>`

    - #### apply

          public DistributedConfigurationCopiedEvent apply​(java.lang.String configurationType,
                                                           java.lang.String configurationId,
                                                           java.lang.String newConfigurationId)

      Specified by:
        `apply` in interface `scala.Function3<java.lang.String,​java.lang.String,​java.lang.String,​DistributedConfigurationCopiedEvent>`

    - #### unapply

          public scala.Option<scala.Tuple3<java.lang.String,​java.lang.String,​java.lang.String>> unapply​(DistributedConfigurationCopiedEvent x$0)